Subject: RE: P1394> SBP-2 Logins

From: Hitoshi Sekine <[email-masked]>
Date: Tue, 30 Jun 1998 14:26:18 -0700

Yes, we will log out when never we do not use the device so long as the
device returns device_type 02 or 03 (Printer or Scanner).

Hitoshi Sekine
Program Manager, Windows Operating Systems Group
Microsoft Corporation

One Microsoft Way
Redmond, WA 98-52-6399
[email-masked]
Tel 425-936-1729
Fax 425-936-7329

-----Original Message-----
From: Greg Shue [mailto:[email-masked]]
Sent: Tuesday, June 30, 1998 12:51 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: P1394> SBP-2 Logins

> In revision 0.40 of the PWG 1394 profile, section 24 (Login),
> it states that Microsoft has implemented their SBP-2 driver
> to login at power-up and not logout until shutdown.  According
> to my notes, Microsoft indicated that they are set up to
> do this for disk, but that it wasn't necessary for printers.
> 
> Does anyone else have information that supports or 
> contradicts this statement in the profile? 

I think the statement in the profile is out-of-date.

What I recall is essentially the same as your notes.
The Microsoft driver does a login at powerup for disk devices.

It will do dynamic login/logout for printers as needed.
I **think** I was told that they will login when the print
queue for the device becomes non-empty, and they will logout
when the queue becomes empty.

I don't know which policy they will use for scanners.
I hope they will not follow the disk paradigm.

> -- 
> Bob Morford ([email-masked])

-- 
Greg Shue
Hewlett-Packard Company
All-in-One Division			        [email-masked]
----------------------------------------------------------------